package jrummikub.view.impl;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Dimension;

import javax.swing.JFrame;

import jrummikub.view.IPlayerPanel;
import jrummikub.view.ITable;
import jrummikub.view.IView;

@SuppressWarnings("serial")
public class View extends JFrame implements IView {
  private Table table;
  private PlayerPanel playerPanel;
  
  private final static int PLAYER_PANEL_HEIGHT = 150;
  
  
  public ITable getTable() {
    return table;
  }

  public IPlayerPanel getPlayerPanel() {
    return playerPanel;
  }

  
  public View() {
    super("JRummikub");
    
    setSize(1000, 700);
    setDefaultCloseOperation(EXIT_ON_CLOSE);
    
    setLayout(new BorderLayout());
    
    table = new Table();
    add(table, BorderLayout.CENTER);

    playerPanel = new PlayerPanel();
    playerPanel.setBorder(new CustomBorder(Color.BLACK, 1, 0, 0, 0));
    playerPanel.setPreferredSize(new Dimension(0, PLAYER_PANEL_HEIGHT+1));
    add(playerPanel, BorderLayout.SOUTH);
    
    setVisible(true);
  }
}
